<template>
  <div class="fullscreen show-bg shadow-4">
    <div class="loginBox absolute-center shadow-4">
      <div align="center" class="q-pt-lg">
        <img src="../../public/logo.svg" class="logoPic" />
      </div>
      <div class="text-h5 q-pt-md">Bridge Health Monitor System</div>
      <div class="q-px-xl q-pt-md" align="center">
        <q-input
          v-model="input.username"
          placeholder="username"
          dense
          class="input"
        />
        <q-input
          v-model="input.password"
          placeholder="password"
          type="password"
          dense
          class="input"
        />
      </div>
      <div class="q-pt-md">
        <q-btn
          label="Login"
          class="btn-main"
          @click="loginBtn"
          color="secondary"
        />
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      input: {
        username: "",
        password: "",
      },
    };
  },
  methods: {
    async loginBtn() {
      if (this.input.username.length == 0 || this.input.password.length == 0) {
        this.redNotify("Please input username and password");
        return;
      }
      let url = this.apiPath + "login.php";
      let res = await axios.post(url, JSON.stringify(this.input));
      if (res.data == "not pass") {
        this.redNotify("Username / password incorrect");
      } else {
        this.$q.localStorage.set("key", res.data);
        this.$router.push("main");
      }
    },
  },
};
</script>

<style scoped>
.show-bg {
  background-image: url("../../public/bg3.jpg");
  background-size: cover;
  max-width: 1400px;
  width: 100%;
  margin: auto;
}
.loginBox {
  width: 450px;
  height: 460px;
  background-color: white;
  border-radius: 10px;
  text-align: center;
}
.logoPic {
  width: 230px;
  padding-top: 20px;
}
.input {
  width: 250px;
}
</style>
